/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.imode;

import jp.sourceforge.livez.imode.UID;

/**
 * マイメニュー登録/削除時のドコモサーバからリクエスト情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface MyMenuRequest {

	/**
	 * UID 情報を返します。
	 * 
	 * @return UID 情報
	 */
	public UID getUID();

	/**
	 * IP 用パラメータ1を返します。
	 * 
	 * @return IP 用パラメータ1
	 */
	public String getArg1();

	/**
	 * IP 用パラメータ2を返します。
	 * 
	 * @return IP 用パラメータ2
	 */
	public String getArg2();

}
